Skip to main content
GET
/
api
/
v2
/
sos-filing-documents
/
{id}
Retrieve SOS filing document
curl --request GET \
  --url https://api.example.com/api/v2/sos-filing-documents/{id}/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "<string>",
  "checkedAt": "2023-11-07T05:31:56Z",
  "status": "NOT_ORDERED",
  "dataFile": "<string>",
  "reportFile": "<string>",
  "companyName": "<string>",
  "formationDate": "2023-12-25",
  "entityType": "CORPORATION",
  "watchlistHitsCount": -1
}

Authorizations

Authorization
string
header
required

The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.

Path Parameters

id
string
required

A unique value identifying this sos document.

Response

200 - application/json
id
string
required
checkedAt
string<date-time> | null
status
enum<string>
Available options:
NOT_ORDERED,
IN_PROGRESS,
FINISHED,
FAILED,
TIMED_OUT
dataFile
string<uri> | null
Pattern: (?:json)$
reportFile
string<uri> | null
Pattern: (?:pdf)$
companyName
string | null
Maximum string length: 100
formationDate
string<date> | null
entityType
enum<string>
Available options:
CORPORATION,
LLC,
PARTNERSHIP,
NON_PROFIT,
TRUST,
SOLE_PROPRIETORSHIP
watchlistHitsCount
integer | null
Required range: -2147483648 <= x <= 2147483647